/*------------------------------------*\
    WOOCOMMERCE PG SINGOLO PRODOTTO
\*------------------------------------*/

.single-product #main{
	margin: 0 auto;
	padding: 50px 20px;
}

.single-product div.product:after{
	content: "";
	display: block;
	clear: both;
}

.single-product #main .product_title{
	color: #232323 !important;
	margin-bottom: 0px !important;
}

.woocommerce-breadcrumb,
.woocommerce-breadcrumb a:hover{
	color: var(--red_tmp_colore_principale);
	text-align: right;
}

.woocommerce-breadcrumb span.wc_separatore,
.woocommerce-breadcrumb span[aria-current="page"]{
	display: inline-block;
	width: auto;
}

.single-product #main .price,
.single-product #main .woocommerce-Price-amount.amount,
.single-product #main .woocommerce-Price-amount.amount span{
	display: inline-block;
	font-size: 20px !important;
	line-height: 24px;
	color: var(--red_tmp_colore_principale) !important;
	width: auto;
}
.single-product #main .price{
	padding-top: 10px;
}

.single-product #main .woocommerce-variation-price .price{
	padding-bottom: 20px;
}

.single-product #main a.reset_variations{
	background: var(--red_tmp_colore_principale);
	color: #fff;
	display: inline-block;
	font-size: 14px;
	line-height: 14px;
	padding: 7px 20px;
}

.single-product #main table.variantions tr th,
.single-product #main table.variantions tr td{
    display: block;
}

.single-product #main table.variantions tr td{
    padding-top: 0 !important;
}

.single-product #main table.variantions tr td select{
    margin-bottom: 0 !important;
}

.single-product #main a.reset_variations:hover{
	opacity: 0.8;
}

.single-product #main .woocommerce-variation-price{
	font-weight: bold;
}

.single-product #main div.product form.cart{
	margin-bottom: 0;
}

.single-product .product_meta{
	padding-top: 20px;
}

.single-product #main .product_meta span{
	display: inline-block;
	font-size: 14px;
	line-height: 24px;
	font-weight: bold;
}

.single-product #main .product_meta span span{
	display: inline-block;
	font-size: 14px;
	line-height: 14px;
	font-weight: normal;
	margin-left: 3px;
}

.single-product #main .product_meta span a{
	display: inline-block;
	font-size: 14px;
	line-height: 24px;
	font-weight: bold;
	margin-left: 3px;
}

.single-product #main input.input-text.qty.text::-webkit-outer-spin-button,
.single-product #main input.input-text.qty.text::-webkit-inner-spin-button{
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.single-product #main input.input-text.qty.text{
  -moz-appearance: textfield;
}

.single-product #main input.input-text.qty.text{
  border: 0 !important;
}

.single-product #main .up-sells.upsells.products img{
	margin-bottom: 0;
}

.single-product #main .up-sells.upsells.products h2{
	color: #232323;
}

.single-product #main .up-sells.upsells.products .price{
	display: block;
	padding-top: 0;
	padding-bottom: 20px;
}

.single-product .up-sells.upsells.products .button.product_type_simple{
	margin-top: 0;
	display: block !important;
	clear:both;
}

.woocommerce ul.products li.product .woocommerce-loop-category__title, 
.woocommerce ul.products li.product .woocommerce-loop-product__title, 
.woocommerce ul.products li.product h3{
	color: #232323;
	margin-bottom: 0px !important;	
	font-size: 18px !important;
	line-height: 24px !important;
}

.woocommerce-LoopProduct-link.woocommerce-loop-product__link{
	display: block;
}

.woocommerce ul.products li.product a img{
	margin-bottom: 0 !important;
}

.price-rules-table-wrapper tr.price-rule-active td span,
#main .shop_table.price-rules-table tr.price-rule-active td span span.woocommerce-Price-amount.amount,
#main .shop_table.price-rules-table tr.price-rule-active td span span.woocommerce-Price-amount.amount span{
	color: #fff !important;
}

.shop_table.price-rules-table tr > td > span{
	padding-left: 20px;
}

.shop_table.price-rules-table tr.price-rule-active td{
	background: var(--red_tmp_colore_principale) !important;
}

.woocommerce table.shop_attributes td p{
	margin: 0 !important;
	padding: 0 !important;
}

.woocommerce table.shop_attributes tr th{
	vertical-align: middle !important;
}

.woocommerce main .woocommerce-review-link span{
	display: inline-block;
	width: auto;
}

.single-product button.minus,
.single-product button.plus{
	box-shadow: none !important;
}

.star-rating .star-rating{
	display: none;
}

.cont_rating_wc .rating-star{
	float: left;
	margin-bottom: 0;
}

.E-sing-wc-rating a.woocommerce-review-link{
	display: block;
}

.related.products ul li{
	position: relative;
}

.related.products span.price{
	display: block !important;
}

.E-sing-wc-sezione-tabs .star-rating:before{
	display: none;
}

.E-sing-wc-sezione-tabs .star-rating span:before{
	font-size: 16.3px;
}

.woocommerce #content div.product div.images,
.woocommerce div.product div.images,
.woocommerce-page #content div.product div.images,
.woocommerce-page div.product div.images,
.woocommerce #content div.product div.summary,
.woocommerce div.product div.summary,
.woocommerce-page #content div.product div.summary,
.woocommerce-page div.product div.summary{
	float: none !important;
	width: 100% !important;
}

@media all and (max-width: 767px) {
	.woocommerce-page .woocommerce-message .button {
		float: none;
		display: block;
		margin-bottom: 10px;
	}
}

@media all and (min-width: 768px) {
	.woocommerce #content div.product div.images,
	.woocommerce div.product div.images,
	.woocommerce-page #content div.product div.images,
	.woocommerce-page div.product div.images{
		float: left !important;
		width: 48% !important;
	}

	.woocommerce #content div.product div.summary,
	.woocommerce div.product div.summary,
	.woocommerce-page #content div.product div.summary,
	.woocommerce-page div.product div.summary{
		float: right !important;
		width: 48% !important;	
	}	
}

.single-product input.input-text.text[type='number']::-webkit-outer-spin-button,
.single-product input.input-text.text[type='number']::-webkit-inner-spin-button{
  -webkit-appearance: none;
  margin: 0;
}

.E-sing-wc-related.hide_img .wp-post-image{
	display: none !important;
}

.elementor-widget-RED-Elementor-WCBreadcrumbs .elementor-widget-container span{
	display: inline-block !important;
	width: auto !important;
}

.woocommerce-page div.product div.images.preview_variazioni{
	width: 100% !important;
} 

.woocommerce div.product p.price del,
.woocommerce div.product span.price del{
	opacity: 1 !important;
}

.woocommerce div.product .variations label {
	font-weight: 700;
}

.ts-swatch-item{
	list-style: none !important;
}

.quantity .input-text.qty.text,
.quantity .input-group-prepend,
.quantity .input-group-append{
    display: inline-block;
    float: left;
    width: auto;
    text-align: center;
    margin-bottom: 0 !important;
}

.woocommerce div.product form.cart div.quantity{
    margin-bottom: 10px;
}

@media all and (min-width: 769px) and (max-width: 1044px) {
    .quantity .input-text.qty.text,
    .quantity .input-group-prepend,
    .quantity .input-group-append{
        width: 46px;
    }
}

/* Firefox */
.single-product input.input-text.text[type='number']{
  -moz-appearance: textfield;
}